/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package specialist_position

import (
	e "simrs-vx/internal/domain/main-entities/specialist-position"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.SpecialistPosition) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Specialist_Code = inputSrc.Specialist_Code
	data.Code = inputSrc.Code
	data.Name = inputSrc.Name
	data.HeadStatus = inputSrc.HeadStatus
	data.Employee_Id = inputSrc.Employee_Id
}
